import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataGithubActionsPublicKeyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly repository: string;
}
/**
 *
 */
export declare class DataGithubActionsPublicKey extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataGithubActionsPublicKeyConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get key(): string;
    /**
     *
     */
    get keyId(): string;
    private _repository;
    /**
     *
     */
    get repository(): string;
    /**
     *
     */
    set repository(value: string);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
