import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataGithubOrganizationTeamSyncGroupsConfig extends TerraformMetaArguments {
}
/**
 *
 */
export declare class DataGithubOrganizationTeamSyncGroupsGroups extends ComplexComputedList {
    /**
     *
     */
    get groupDescription(): string;
    /**
     *
     */
    get groupId(): string;
    /**
     *
     */
    get groupName(): string;
}
/**
 *
 */
export declare class DataGithubOrganizationTeamSyncGroups extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: DataGithubOrganizationTeamSyncGroupsConfig);
    /**
     *
     */
    groups(index: string): DataGithubOrganizationTeamSyncGroupsGroups;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
