import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataGithubRepositoriesConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly query: string;
    /**
     *
     */
    readonly sort?: string;
}
/**
 *
 */
export declare class DataGithubRepositories extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataGithubRepositoriesConfig);
    /**
     *
     */
    get fullNames(): string[];
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get names(): string[];
    private _query;
    /**
     *
     */
    get query(): string;
    /**
     *
     */
    set query(value: string);
    private _sort?;
    /**
     *
     */
    get sort(): string | undefined;
    /**
     *
     */
    set sort(value: string | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
