import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataGithubTeamConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly slug: string;
}
/**
 *
 */
export declare class DataGithubTeam extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataGithubTeamConfig);
    /**
     *
     */
    get description(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get members(): string[];
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get nodeId(): string;
    /**
     *
     */
    get permission(): string;
    /**
     *
     */
    get privacy(): string;
    private _slug;
    /**
     *
     */
    get slug(): string;
    /**
     *
     */
    set slug(value: string);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
