import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface RepositoryDeployKeyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly key: string;
    /**
     *
     */
    readonly readOnly?: boolean;
    /**
     *
     */
    readonly repository: string;
    /**
     *
     */
    readonly title: string;
}
/**
 *
 */
export declare class RepositoryDeployKey extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: RepositoryDeployKeyConfig);
    /**
     *
     */
    get etag(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _key;
    /**
     *
     */
    get key(): string;
    /**
     *
     */
    set key(value: string);
    private _readOnly?;
    /**
     *
     */
    get readOnly(): boolean | undefined;
    /**
     *
     */
    set readOnly(value: boolean | undefined);
    private _repository;
    /**
     *
     */
    get repository(): string;
    /**
     *
     */
    set repository(value: string);
    private _title;
    /**
     *
     */
    get title(): string;
    /**
     *
     */
    set title(value: string);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
