import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface TeamMembershipConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly role?: string;
    /**
     *
     */
    readonly teamId: string;
    /**
     *
     */
    readonly username: string;
}
/**
 *
 */
export declare class TeamMembership extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: TeamMembershipConfig);
    /**
     *
     */
    get etag(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _role?;
    /**
     *
     */
    get role(): string | undefined;
    /**
     *
     */
    set role(value: string | undefined);
    private _teamId;
    /**
     *
     */
    get teamId(): string;
    /**
     *
     */
    set teamId(value: string);
    private _username;
    /**
     *
     */
    get username(): string;
    /**
     *
     */
    set username(value: string);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
