import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface TeamRepositoryConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly permission?: string;
    /**
     *
     */
    readonly repository: string;
    /**
     *
     */
    readonly teamId: string;
}
/**
 *
 */
export declare class TeamRepository extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: TeamRepositoryConfig);
    /**
     *
     */
    get etag(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _permission?;
    /**
     *
     */
    get permission(): string | undefined;
    /**
     *
     */
    set permission(value: string | undefined);
    private _repository;
    /**
     *
     */
    get repository(): string;
    /**
     *
     */
    set repository(value: string);
    private _teamId;
    /**
     *
     */
    get teamId(): string;
    /**
     *
     */
    set teamId(value: string);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
