import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface UserInvitationAccepterConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly invitationId: string;
}
/**
 *
 */
export declare class UserInvitationAccepter extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: UserInvitationAccepterConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _invitationId;
    /**
     *
     */
    get invitationId(): string;
    /**
     *
     */
    set invitationId(value: string);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
