import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ActionsSecretConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly plaintextValue: string;
    /**
     *
     */
    readonly repository: string;
    /**
     *
     */
    readonly secretName: string;
}
/**
 *
 */
export declare class ActionsSecret extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ActionsSecretConfig);
    /**
     *
     */
    get createdAt(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _plaintextValue;
    /**
     *
     */
    get plaintextValue(): string;
    /**
     *
     */
    set plaintextValue(value: string);
    private _repository;
    /**
     *
     */
    get repository(): string;
    /**
     *
     */
    set repository(value: string);
    private _secretName;
    /**
     *
     */
    get secretName(): string;
    /**
     *
     */
    set secretName(value: string);
    /**
     *
     */
    get updatedAt(): string;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
