import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface RepositoryCollaboratorConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly permission?: string;
    /**
     *
     */
    readonly repository: string;
    /**
     *
     */
    readonly username: string;
}
/**
 *
 */
export declare class RepositoryCollaborator extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: RepositoryCollaboratorConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get invitationId(): string;
    private _permission?;
    /**
     *
     */
    get permission(): string | undefined;
    /**
     *
     */
    set permission(value: string | undefined);
    private _repository;
    /**
     *
     */
    get repository(): string;
    /**
     *
     */
    set repository(value: string);
    private _username;
    /**
     *
     */
    get username(): string;
    /**
     *
     */
    set username(value: string);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
