import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface UserGpgKeyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly armoredPublicKey: string;
}
/**
 *
 */
export declare class UserGpgKey extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: UserGpgKeyConfig);
    private _armoredPublicKey;
    /**
     *
     */
    get armoredPublicKey(): string;
    /**
     *
     */
    set armoredPublicKey(value: string);
    /**
     *
     */
    get etag(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get keyId(): string;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
